# Uses of Class
org.apache.lucene.util.BytesRefBuilder

Packages that use BytesRefBuilder
Package
Description
org.apache.lucene.analysis.tokenattributes
General-purpose attributes for text analysis.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util
Some utility classes.
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.
org.apache.lucene.util.fst
Finite state transducers
org.apache.lucene.util.mutable
Comparable object wrappers

- ## Uses of BytesRefBuilder in org.apache.lucene.analysis.tokenattributes

  Fields in org.apache.lucene.analysis.tokenattributes declared as BytesRefBuilder
  Modifier and Type
  Field
  Description
  `protected BytesRefBuilder`
  CharTermAttributeImpl.`builder`
  May be used by subclasses to convert to different charsets / encodings for implementing `CharTermAttributeImpl.getBytesRef()`.

- ## Uses of BytesRefBuilder in org.apache.lucene.index

  Constructors in org.apache.lucene.index with parameters of type BytesRefBuilder
  Modifier
  Constructor
  Description
  ``
  `Term(String fld, BytesRefBuilder bytesBuilder)`
  Constructs a Term with the given field and the bytes from a builder.

- ## Uses of BytesRefBuilder in org.apache.lucene.util

  Fields in org.apache.lucene.util declared as BytesRefBuilder
  Modifier and Type
  Field
  Description
  `protected final BytesRefBuilder`
  StringSorter.`pivotBuilder`
  `protected final BytesRefBuilder`
  OfflineSorter.ByteSequencesReader.`ref`
  `protected final BytesRefBuilder`
  StringSorter.`scratch1`
  `protected final BytesRefBuilder`
  StringSorter.`scratch2`
  Methods in org.apache.lucene.util with parameters of type BytesRefBuilder
  Modifier and Type
  Method
  Description
  `void`
  BytesRefBuilder.`append(BytesRefBuilder builder)`
  Append the provided bytes to this builder.
  `static String`
  ToStringUtils.`bytesRefToString(BytesRefBuilder b)`
  `void`
  BytesRefBuilder.`copyBytes(BytesRefBuilder builder)`
  Replace the content of this builder with the provided bytes.
  `BytesRef`
  BytesRefArray.`get(BytesRefBuilder spare, int index)`
  Returns the n'th element of this `BytesRefArray`
  `protected abstract void`
  StringSorter.`get(BytesRefBuilder builder, BytesRef result, int i)`

- ## Uses of BytesRefBuilder in org.apache.lucene.util.automaton

  Methods in org.apache.lucene.util.automaton with parameters of type BytesRefBuilder
  Modifier and Type
  Method
  Description
  `BytesRef`
  CompiledAutomaton.`floor(BytesRef input, BytesRefBuilder output)`
  Finds largest term accepted by this Automaton, that's <= the provided input term.

- ## Uses of BytesRefBuilder in org.apache.lucene.util.fst

  Methods in org.apache.lucene.util.fst with parameters of type BytesRefBuilder
  Modifier and Type
  Method
  Description
  `static BytesRef`
  Util.`toBytesRef(IntsRef input, BytesRefBuilder scratch)`
  Just converts IntsRef to BytesRef; you must ensure the int values fit into a byte.

- ## Uses of BytesRefBuilder in org.apache.lucene.util.mutable

  Fields in org.apache.lucene.util.mutable declared as BytesRefBuilder
  Modifier and Type
  Field
  Description
  `BytesRefBuilder`
  MutableValueStr.`value`